Quad SLI doesn't work on XP! Page: 1

 

 

Quad SLI doesn't work on XP!

 

If you are looking forward to grabbing yourself two 9800GX2's for your computer but it is running XP then forget it. Nvidia have announced that the Quad driver doesn't work under XP and only on 32bit and 64bit Vista. Rumors of Microsoft pushing some money towards Nvidia have popped up here and there as this could be yet another good marketing ploy from MS. What is interesting is that after Nvidia saying XP doesn't support it they said "For now" which brings hope to the XP gamers of the world.

 

Quad SLI your thing? Discuss on our Forums.